## pg-bsd-indent 2.1.1~20220624.1048-3~2.gite0f5fef.pgdg22.04+1

=== debian/changelog ===
pg-bsd-indent (2.1.1~20220624.1048-3~2.gite0f5fef.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Jan 2022 17:41:39 +0100

pg-bsd-indent (2.1.1-3) unstable; urgency=medium

  * Mention `pg_bsd_indent` in description so people can search for the
    utility name.
  * README.Debian: Link to wiki.postgresql.org for usage instructions.

 -- Christoph Berg <myon@debian.org>  Tue, 11 Jan 2022 17:41:39 +0100

pg-bsd-indent (2.1.1-2) unstable; urgency=medium

  * debian/patches/gcc10_compile_fix.patch: New patch, fixes FTBFS errors with
    gcc-10, taken from upstream commit acb2f0a7 (Closes: #966252). Thanks to
    Adrian Bunk.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 27 Jul 2020 14:42:52 +0200

pg-bsd-indent (2.1.1-1) unstable; urgency=medium

  * Team upload.
  * Initial release.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 08 Jun 2020 18:46:05 +0200

## pg-bsd-indent 2.1.1~20220624.1048-3~2.gite0f5fef.pgdg100+1

=== debian/changelog ===
pg-bsd-indent (2.1.1~20220624.1048-3~2.gite0f5fef.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Jan 2022 17:41:39 +0100

## pg-bsd-indent 2.1.1~20220624.1048-3~2.gite0f5fef.pgdg110+1

=== debian/changelog ===
pg-bsd-indent (2.1.1~20220624.1048-3~2.gite0f5fef.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Jan 2022 17:41:39 +0100

## pg-bsd-indent 2.1.1~20220624.1048-3~2.gite0f5fef.pgdg120+1

=== Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for pg_bsd_indent
#
# Copyright (c) 2017, PostgreSQL Global Development Group
#
#-------------------------------------------------------------------------

PGFILEDESC = "pg_bsd_indent - indent C code nicely"
PGAPPICON = win32

PROGRAM = pg_bsd_indent
OBJS	= args.o err.o indent.o io.o lexi.o parse.o pr_comment.o $(WIN32RES)

# clean junk left behind by "make test"
EXTRA_CLEAN = *.out *.list tests.diff

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

# avoid linking against all libs that the server links against (xml, selinux, ...)
LIBS = $(libpq_pgport) $(libpq_pgcommon)

# install into /usr/bin instead of some version-dependent bin directory
bindir = /usr/bin

# pgxs.mk assumes too much about what "make check" means, so call it "test"
.PHONY: test

test: $(PROGRAM)
	@rm -f tests.diff
	@cp $(srcdir)/tests/*.list .
	@for testsrc in $(srcdir)/tests/*.0; do \
		test=`basename "$$testsrc" .0`; \
		./$(PROGRAM) $$testsrc $$test.out -P$(srcdir)/tests/$$test.pro || echo FAILED >>$$test.out; \
		diff -u $$testsrc.stdout $$test.out >>tests.diff 2>&1 || true; \
	done
	@cat tests.diff
	@test '!' -s tests.diff
	@echo Tests complete.

=== debian/changelog ===
pg-bsd-indent (2.1.1~20220624.1048-3~2.gite0f5fef.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Jan 2022 17:41:39 +0100

## pg-bsd-indent 2.1.1~20220624.1048-3~2.gite0f5fef.pgdg+1

=== debian/changelog ===
pg-bsd-indent (2.1.1~20220624.1048-3~2.gite0f5fef.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Jan 2022 17:41:39 +0100

## pg-bsd-indent 2.1.1~20220624.1049-3~2.gite0f5fef.pgdg18.04+1

=== debian/changelog ===
pg-bsd-indent (2.1.1~20220624.1049-3~2.gite0f5fef.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Jan 2022 17:41:39 +0100

=== debian/control ===
Source: pg-bsd-indent
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Michael Banck <michael.banck@credativ.de>
Build-Depends:
 debhelper (>= 11),
 postgresql-server-dev-all (>= 153~)
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/postgresql/pg-bsd-indent
Vcs-Git: https://salsa.debian.org/postgresql/pg-bsd-indent.git

Package: pg-bsd-indent
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL source code indenter
 pg_bsd_indent is the official way the PostgreSQL developers reformat code
 before release. It is also recommended to be used by developers for code
 changes prior to submission. It is a fork of FreeBSD's indent.

## pg-bsd-indent 2.1.1

=== Makefile ===
--- 
+++ 
@@ -19,12 +19,6 @@
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 
-# avoid linking against all libs that the server links against (xml, selinux, ...)
-LIBS = $(libpq_pgport) $(libpq_pgcommon)
-
-# install into /usr/bin instead of some version-dependent bin directory
-bindir = /usr/bin
-
 # pgxs.mk assumes too much about what "make check" means, so call it "test"
 .PHONY: test

=== debian/changelog ===
pg-bsd-indent (2.1.1-4) unstable; urgency=medium

  * debian/control (Uploaders): Updated.

 -- Michael Banck <mbanck@debian.org>  Fri, 17 Feb 2023 08:22:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: database
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders: Michael Banck <michael.banck@credativ.de>
+Uploaders: Michael Banck <mbanck@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
  postgresql-server-dev-all (>= 153~)
 Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-bsd-indent

=== debian/watch ===
version=3 
opts="uversionmangle=s/_/./g, \
downloadurlmangle=s/shortlog(.)h=refs.tags.REL_(.*)/snapshot$1h=REL_$2\$1sf=tgz/, \
filenamemangle=s/.*REL_?([\d_]+).*/pg_bsd_indent-$1.tar.gz/" \
https://git.postgresql.org/gitweb/?p=pg_bsd_indent.git;a=summary .*shortlog.*refs/tags/REL_(.*)
